D4Science Infrastructure - Task #5636

Create New VM exploratories.d4science.org
Nov 03, 2016 01:38 PM - Massimiliano Assante

Status: Closed Start date: Nov 03, 2016
Priority: Urgent Due date: Nov 10, 2016
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

The VM should e equipped with a SmartGears Distro hosting static web content.

Please note that also An https certificate is necessary

Subtasks:
Task # 5637: request https certificate for exploratories.d4science.org Closed

History

#1 - Nov 09, 2016 06:24 PM - Andrea Dell'’Amico

- Status changed from New to In Progress

#2 - Nov 09, 2016 06:31 PM - Andrea Dell'Amico

@roberto.trasarti@isti.cnr.it | need the app contexts to configure the reverse proxy that is going to run in front of tomcat. And your ssh key, if you
haven't add it to your profile on the portal yet: Infrastructure Gateway > MY Account > Custom Fields

#3 - Nov 09, 2016 06:33 PM - Andrea Dell'Amico

smartgears scopes:

/d4dscience.research-infrastructures.eu/SoBigData
/d4science.research-infrastructures.eu/SoBigData/ResourceCatalogue
/d4science.research-infrastructures.eu/SoBigData/CityOfCitizens

#4 - Nov 09, 2016 06:34 PM - Andrea Dell'Amico
DNS data: exploratories.d4science.org. IN A 146.48.122.62

#5 - Nov 10, 2016 10:51 AM - Andrea Dell'Amico

The VM is active with smartgears running on the scopes defined above. We only need the ssh keys and the context names to complete the
configuration.

#6 - Nov 10, 2016 11:28 AM - Andrea Dell'Amico

Roberto's ssh key is now trusted.
ssh access is granted as gcube user: ssh gcube@exploratories.d4science.org

The tomcat apps have to be installed inside tomcat/webapps (the path is relative to /home/gcube). autounpack and autodeploy are both active.
Note that no tomcat app will be reachable until the nginx confguration will be updated.

#7 - Nov 16, 2016 04:06 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

nginx now act as reverse proxy for cityofcitizens-citymobility.
